Subject: RE: Problems with PCI-E devices not being detected with switch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 21 Oct 2008 09:55:19 +1100

> The part that didn't look correct is this line (note the operators)
> 
>    ((buses >> 8) & 0xff) != <= bus->number) {
> 
>                Operators ^^ ^^

Ooohhh ... nice typo :-) The right one is <=, thanks for catching this !

> >From reading through the code and your textual description of what was
> supposed to be happening, I went ahead and changed it to ... 
> 
>  ((buses >> 8) & 0xff) !=  bus->number) {
> 
> And this is the code that generated the results from my previous
> message.

Yeah, that's enough to catch most of the problems incuding yours.

Cheers,
Ben.